# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
CC = @CC@
CXX = @CXX@
LEX = @LEX@
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
VERSION = @VERSION@
YACC = @YACC@

bin_PROGRAMS = sattool

sattool_SOURCES = utils.cc sattool.cc options.cc sgp4sat.cc object.cc list.cc 	writetle.cc parser.yy lexer.ll filter.cc lla.cc marker.cc 	filter_parse.yy filter_lex.ll filter_funcs.cc filtercmd.cc 	date_parser.yy date_lexer.ll step.cc summary.cc 	datetest.cc live.cc site.cc encounter.cc pass.cc predict.cc 	passes.cc sun.cc cat.cc sat.c sgp.c time.c vector.c


noinst_HEADERS = date_parser.h filter.h filter_parse.h parser.h sattool.h sgp.h 		 vector.h


EXTRA_DIST = fminbr.cc zeroin.cc

YFLAGS = -d
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
sattool_OBJECTS =  utils.o sattool.o options.o sgp4sat.o object.o list.o \
writetle.o parser.o lexer.o filter.o lla.o marker.o filter_parse.o \
filter_lex.o filter_funcs.o filtercmd.o date_parser.o date_lexer.o \
step.o summary.o datetest.o live.o site.o encounter.o pass.o predict.o \
passes.o sun.o cat.o sat.o sgp.o time.o vector.o
sattool_LDADD = $(LDADD)
sattool_DEPENDENCIES = 
sattool_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
LEXLIB = @LEXLIB@
YLWRAP = $(srcdir)/ylwrap
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in date_lexer.cc date_parser.cc \
filter_lex.cc filter_parse.cc lexer.cc parser.cc ylwrap


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(sattool_SOURCES)
OBJECTS = $(sattool_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cc .ll .o .s .yy
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
	done

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

sattool: $(sattool_OBJECTS) $(sattool_DEPENDENCIES)
	@rm -f sattool
	$(CXXLINK) $(sattool_LDFLAGS) $(sattool_OBJECTS) $(sattool_LDADD) $(LIBS)
.cc.o:
	$(CXXCOMPILE) -c $<
.ll.cc:
	$(SHELL) $(YLWRAP) "$(LEX)" $< $(LEX_OUTPUT_ROOT).c $@ -- $(AM_LFLAGS) $(LFLAGS)
.yy.cc:
	$(SHELL) $(YLWRAP) "$(YACC)" $< y.tab.c $*.cc y.tab.h $*.h -- $(AM_YFLAGS) $(YFLAGS)
date_parser.hh: date_parser.cc
filter_parse.hh: filter_parse.cc
parser.hh: parser.cc


tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
cat.o: cat.cc sattool.h sgp.h
date_lexer.o: date_lexer.cc sattool.h sgp.h date_parser.h
date_parser.o: date_parser.cc sattool.h sgp.h
datetest.o: datetest.cc sattool.h sgp.h
encounter.o: encounter.cc sattool.h sgp.h
filter.o: filter.cc sattool.h sgp.h filter.h
filter_funcs.o: filter_funcs.cc sattool.h sgp.h filter.h
filter_lex.o: filter_lex.cc sattool.h sgp.h filter.h filter_parse.h
filter_parse.o: filter_parse.cc sattool.h sgp.h filter.h
filtercmd.o: filtercmd.cc sattool.h sgp.h filter.h
lexer.o: lexer.cc sattool.h sgp.h parser.h
list.o: list.cc sattool.h sgp.h
live.o: live.cc sattool.h sgp.h vector.h
lla.o: lla.cc sattool.h sgp.h
marker.o: marker.cc sattool.h sgp.h
object.o: object.cc sattool.h sgp.h
options.o: options.cc sattool.h sgp.h
options_lex.o: options_lex.cc sattool.h sgp.h filter.h options_parse.h
options_parse.o: options_parse.cc sattool.h sgp.h filter.h
parser.o: parser.cc sattool.h sgp.h
pass.o: pass.cc sattool.h sgp.h fminbr.cc zeroin.cc
passes.o: passes.cc sattool.h sgp.h
predict.o: predict.cc sattool.h sgp.h
sat.o: sat.c sgp.h
sattool.o: sattool.cc sattool.h sgp.h
sgp.o: sgp.c sgp.h
sgp4sat.o: sgp4sat.cc sattool.h sgp.h
site.o: site.cc sattool.h sgp.h
step.o: step.cc sattool.h sgp.h filter.h
summary.o: summary.cc sattool.h sgp.h
sun.o: sun.cc sattool.h sgp.h vector.h
time.o: time.c sgp.h
utils.o: utils.cc sattool.h sgp.h
vector.o: vector.c vector.h
writetle.o: writetle.cc sattool.h sgp.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binPROGRAMS
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binPROGRAMS
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS) $(HEADERS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	-test -z "date_lexerllfilter_lexlllexerlldate_parserhhdate_parserccfilter_parsehhfilter_parseccparserhhparsercc" || rm -f date_lexerll filter_lexll lexerll date_parserhh date_parsercc filter_parsehh filter_parsecc parserhh parsercc
mostlyclean-am:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-binPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-binPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-binPROGRAMS distclean-binPROGRAMS clean-binPROGRAMS \
maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


filter_lex.cc: filter_lex.ll
	$(SHELL) $(YLWRAP) "$(LEX)" $< lex.filter_.c $@ -- \
		-Pfilter_ $(AM_LFLAGS) $(LFLAGS)

filter_parse.cc: filter_parse.yy
	$(SHELL) $(YLWRAP) "$(YACC)" $< y.tab.c $*.cc y.tab.h $*.h  -- \
	-p filter_ $(AM_YFLAGS) $(YFLAGS)

date_lexer.cc: date_lexer.ll
	$(SHELL) $(YLWRAP) "$(LEX)" $< lex.date_.c $@ -- \
		-Pdate_ $(AM_LFLAGS) $(LFLAGS)

date_parser.cc: date_parser.yy
	$(SHELL) $(YLWRAP) "$(YACC)" $< y.tab.c $*.cc y.tab.h $*.h  -- \
	-p date_ $(AM_YFLAGS) $(YFLAGS)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
